Bug 439022 - Window rules on wayland don't work for telegram-desktop
Summary: Window rules on wayland don't work for telegram-desktop
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: activities (show other bugs)
Version: 5.22.1
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2021-06-22 10:16 UTC by Bacteria
Modified: 2021-06-26 00:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.3


Attachments
Window rule used for telegram (33.36 KB, image/png)
2021-06-22 10:17 UTC, Bacteria
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bacteria 2021-06-22 10:16:20 UTC
SUMMARY

I have window rules set for telegram-desktop and signal-desktop to open in a specific activity. Signal opens in the specified activity but telegram ignores the rule and opens in whatever activity is currently visible. The rules work find on X, this issue comes on wayland. 


STEPS TO REPRODUCE
1. Switch to wayland session.
2. Create a window rule for telegram app. (See attachment for the exact rule)
3. Launch Telegram

OBSERVED RESULT
Telegram opens in the currently visible activity, ignoring the rule.

EXPECTED RESULT
Telegram should open in the activity specified in the window rule.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.22.1
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Comment 1 Bacteria 2021-06-22 10:17:28 UTC
Created attachment 139587 [details]
Window rule used for telegram
Comment 2 Vlad Zahorodnii 2021-06-22 12:29:44 UTC
Activities window rule is not implemented on wayland yet.
Comment 3 Bug Janitor Service 2021-06-22 12:36:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1125
Comment 4 Vlad Zahorodnii 2021-06-22 13:49:02 UTC
Git commit b482226d6cefa0db1c22c7319ef751b2846e3d73 by Vlad Zahorodnii.
Committed on 22/06/2021 at 13:48.
Pushed by vladz into branch 'master'.

wayland: Implement activities window rule

M  +1    -0    src/xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/b482226d6cefa0db1c22c7319ef751b2846e3d73
Comment 5 Vlad Zahorodnii 2021-06-22 13:49:39 UTC
Git commit 6be5055bdf99f85c1c6eee180451536ee64c79ba by Vlad Zahorodnii.
Committed on 22/06/2021 at 13:49.
Pushed by vladz into branch 'Plasma/5.22'.

wayland: Implement activities window rule


(cherry picked from commit b482226d6cefa0db1c22c7319ef751b2846e3d73)

M  +1    -0    src/xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/6be5055bdf99f85c1c6eee180451536ee64c79ba